> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.getlynks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Optimize Product Description

> This endpoint is used to optimize the description of a product. It provides a better description for a product based on the current description.



## OpenAPI

````yaml post /tasks/optimization/description
openapi: 3.1.0
info:
  title: Lynks AI External API
  description: External API documentation for Lynks AI.
  version: 1.0.0
servers:
  - url: https://ai.getlynks.io/api
security: []
paths:
  /tasks/optimization/description:
    post:
      summary: Optimize Product Description
      description: >-
        This endpoint is used to optimize the description of a product. It
        provides a better description for a product based on the current
        description.
      operationId: optimize_product_description_tasks_optimization_description_post
      parameters:
        - name: tone_adjustment
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/DescriptionOptimizationToneAdjustmentEnum'
            description: >-
              The tone of the description to be adjusted. This is an optional
              field.
            title: Tone Adjustment
          description: >-
            The tone of the description to be adjusted. This is an optional
            field.
        - name: style_target_audience
          in: query
          required: false
          schema:
            allOf:
              - $ref: >-
                  #/components/schemas/DescriptionOptimizationStyleTargetAudienceEnum
            description: >-
              The style of the description to be adjusted to the target
              audience. This is an optional field.
            title: Style Target Audience
          description: >-
            The style of the description to be adjusted to the target audience.
            This is an optional field.
        - name: length_adjustment
          in: query
          required: false
          schema:
            type: integer
            description: >-
              The length of the description to be adjusted in character count.
              This is an optional field.
            title: Length Adjustment
          description: >-
            The length of the description to be adjusted in character count.
            This is an optional field.
        - name: use_bullet_points
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              The use of bullet points in the description. This is an optional
              field.
            title: Use Bullet Points
          description: >-
            The use of bullet points in the description. This is an optional
            field.
        - name: seo_optimization
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              The optimization of the description for SEO. This is an optional
              field.
            title: Seo Optimization
          description: >-
            The optimization of the description for SEO. This is an optional
            field.
        - name: translation_language
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/LanguageEnum'
            description: >-
              The language to which the description should be translated. This
              is an optional field.
            title: Translation Language
          description: >-
            The language to which the description should be translated. This is
            an optional field.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductDescriptionBody'
      responses:
        '200':
          description: Successfully optimized the product description.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductDescriptionOptimizationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
          OpenAIKey: []
        - APIKey: []
components:
  schemas:
    DescriptionOptimizationToneAdjustmentEnum:
      type: string
      enum:
        - professional
        - casual
        - playful
      title: DescriptionOptimizationToneAdjustmentEnum
    DescriptionOptimizationStyleTargetAudienceEnum:
      type: string
      enum:
        - men
        - women
        - children
      title: DescriptionOptimizationStyleTargetAudienceEnum
    LanguageEnum:
      type: string
      enum:
        - en
        - de
        - fr
        - it
      title: LanguageEnum
    ProductDescriptionBody:
      properties:
        product_description:
          type: string
          title: Product Description
          description: >-
            A textual description of the item being categorized. This
            description is utilized to extract the available attributes.
      type: object
      required:
        - product_description
      title: ProductDescriptionBody
    ProductDescriptionOptimizationResponse:
      properties:
        message:
          type: string
          title: Message
        old_description:
          type: string
          title: Old Description
        new_description:
          type: string
          title: New Description
      type: object
      required:
        - message
        - old_description
        - new_description
      title: ProductDescriptionOptimizationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-Api-Key
    OpenAIKey:
      type: apiKey
      in: header
      name: X-OpenAI-Key

````